#ifndef QCD_MODEDIALOG_H
#define QCD_MODEDIALOG_H

#include <QDialog>
#include <cdutils_types.h>

namespace Ui {
	class QCDModeDialog;
}

class QCDModeDialog: public QDialog
{
	Q_OBJECT
public:
	explicit QCDModeDialog(QWidget * parent = 0);
	~QCDModeDialog();

	CDUtils::UpdateModeFlags mode() const;

protected:
	void changeEvent(QEvent *e);

	Ui::QCDModeDialog * ui;

private slots:
	void on_checkSaveIndex_clicked(bool checked);
	void on_checkSaveName_clicked(bool checked);

};

#endif // QCD_MODEDIALOG_H
